<?php

require sti('cms').'/nmailer/class.smtp.php';
require sti('cms').'/nmailer/class.mailer.php';

array_filter($_POST, 'trim_value'); 
array_filter($_SESSION, 'trim_value'); 

if(!filter_input(INPUT_POST, 'evento', FILTER_SANITIZE_NUMBER_INT)) { echo "<h3>Oops!</h3><p>Evento inv&aacute;lido</p>"; exit; } 

$id = $_POST['evento'];

$sql = mysql_query("SELECT * FROM eventos WHERE id ='$id'");
if(mysql_num_rows($sql)==0){ echo "Evento inv&aacute;lido"; exit; }

$evento = mysql_fetch_assoc($sql);



//if(!filter_input(INPUT_POST, 'token', FILTER_SANITIZE_STRING)) { echo "<p>Token inv&aacute;lido</p><a class='btn btn-default'  href='".sti('urlbase').$evento['slug']."'>Cique e Recarregue a página</a>"; exit; } 
//if(!filter_var($_SESSION['TOKTOK'], FILTER_SANITIZE_STRING)) { echo "<p>Sess&atilde;o expirada</p><a class='btn btn-default'  href='".sti('urlbase').$evento['slug']."'>Cique e Recarregue a página</a>"; exit; } 
//if($_SESSION['TOKTOK']!=$_POST['token']) {  echo "<p>Token e sess&atilde;o inv&aacute;lidos</p><a class='btn btn-default'  href='".sti('urlbase').$evento['slug']."'>Cique e Recarregue a página</a>";  exit;}
if(!filter_input(INPUT_POST, 'nome', FILTER_SANITIZE_STRING)) { echo "2||<h3>Oops!</h3><p>Digite um nome v&aacute;lido</p>"; exit; }
if(!filter_input(INPUT_POST, 'email', FILTER_VALIDATE_EMAIL)) { echo "2||<h3>Oops!</h3><p>Digite um e-mail v&aacute;lido</p>"; exit; }

if($_POST['cad']=='on') {$cad =1;} else { $cad=0;}


$nome = $_POST['nome'];
$email = $_POST['email'];
$token = $_POST['token'];
$token2 = md5($_POST['email'].time());

$sqlUser = mysql_query("SELECT * FROM cadastros WHERE email='$email' AND evento='$id'");

if(mysql_num_rows($sqlUser)==1){

	# update
	mysql_query("UPDATE cadastros SET nome='$nome', token='$token2', datacad=now() WHERE email='$email'  AND evento='$id'");

    $retorno =  "1||<h3>Gratz $nome!</h3><p><span class='glyphicon glyphicon-envelope' aria-hidden='true'></span> <strong>Você já havia se cadastrado</strong>, mas enviamos novamente esta mensagem para você. </p><p><strong> Visite seu e-mail e confirme o cadastro.</strong>  Caso não encontre na caixa de entrada, <strong>verifique na caixa de SPAM</strong> e marque como não SPAM. Assim poderemos nos comunicar mais facilmente.</p><p>Equipe SVB Recife</p>";
	
}else{

# cadastra no banco
mysql_query("INSERT INTO cadastros (evento,nome,email,token,perm,datacad) VALUES ('$id','$nome','$email','$token2','$cad',now())");

$retorno = "1||<h3>Gratz $nome!</h3><p><span class='glyphicon glyphicon-envelope' aria-hidden='true'></span> Enviamos uma menssagem para você. </p><p><strong> Visite seu e-mail e confirme o cadastro.</strong>  Caso não encontre na caixa de entrada, <strong>verifique na caixa de SPAM</strong> e marque como não SPAM. Assim poderemos nos comunicar mais facilmente.</p><p>Equipe SVB Recife</p>";
}


$mail = new PHPMailer();

// Define os dados do servidor e tipo de conexão
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->IsSMTP(); // Define que a mensagem será SMTP
$mail->Host = "svbrecife.org"; // Endereço do servidor SMTP
$mail->SMTPAuth = true; // Usa autenticação SMTP? (opcional)
//$mail->SMTPSecure = "ssl";
$mail->Username = 'naoresponda@svbrecife.org'; // Usuário do servidor SMTP
$mail->CharSet = 'UTF-8';
$mail->Password = '06!0eMiA.=bc'; // Senha do servidor SMTP

$mail->Port = 587;

//
$mail->From = "naoresponda@svbrecife.org"; 
$mail->FromName = "SVB REcife"; 

// Define os destinatário(s)

$mail->AddAddress($email, $nome);


$mail->IsHTML(true); 

// Define a mensagem (Texto e Assunto)
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$mail->Subject  = "Confirmação de Inscrição - SVB Recife"; // Assunto da mensagem
$mail->Body = "<p><strong>".$evento['titulo']."</strong></p>";
$mail->Body .= "<p>Clique no link abaixo e confirme sua inscriação. O copie e cole no seu navegador.</p>
<p><a href='".sti('urlbase')."confirma/".$token2."''>".sti('urlbase').'confirma/'.$token2."</a></p>";


// Define os anexos (opcional)
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
//$mail->AddAttachment("c:/temp/documento.pdf", "novo_nome.pdf");  // Insere um anexo

// Envia o e-mail
// $enviado = $mail->Send();

// // Limpa os destinatários e os anexos
// $mail->ClearAllRecipients();
// $mail->ClearAttachments();

// Exibe uma mensagem de resultado
if (true) {
echo $retorno; 
} else {
echo "2||Não foi possível enviar o e-mail.<br /><br />";
echo "<b>Informações do erro:</b> <br />" . $mail->ErrorInfo;
}




unset($_SESSION['TOKTOK']);


?>












